from netforce.model import Model,fields

class PrintLaborCostLine(Model):
    _name="clinic.print.labor.cost.line"
    _string="Print Report Labor Cost Line"
    
    _fields={
        "print_labor_cost_id": fields.Many2One("clinic.print.labor.cost","Print Labor Cost",required=True,on_delete="cascade"),
        'staff_id': fields.Many2One("clinic.staff","Staff"),
        'staff_name': fields.Char("Staff Name"),
        'total_qty': fields.Float("Total Qty"),
        'total_amount': fields.Float("Total Amount"),
        'report_summary': fields.File("Summary"),
        'report_detail': fields.File("Detail"),
        'report_sub_detail': fields.File("Sub Detail"),
        'report_daily': fields.File("Daily"),
        'report_ot': fields.File("OT"),
    }
    _defaults={

    }


PrintLaborCostLine.register()
